# All files / lib outer-html.js

100% Statements 17/17
100% Branches 4/4
100% Functions 1/1
100% Lines 17/17

Press n or j to go to the next uncovered block, b, p or k for the previous block.

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    182x
    2x
    2x
    2x
    2x
    2x
    2x
    2x
    2x
    2x
    2x
    50x
    50x
    50x
    50x
    50x
    50x
     import Transaction, { defaultTasks } from './transaction';
    import { EMPTY, ValidInput, TransactionConfig, Mount } from './util/types';

    /**
     * @param {Mount} mount
     * @param {ValidInput} input
     * @param {TransactionConfig} config
     *
     * @return {Promise<Transaction> | unknown}
     */
    export default function outerHTML(mount, input = EMPTY.STR, config = {}) {
      config.inner = false;
      config.executeScripts = 'executeScripts' in config ? config.executeScripts : true;
      config.tasks = config.tasks || defaultTasks;

      return Transaction.create(mount, input, config).start();
    }